﻿


#Region "Module Controls_Add ⇒ コントロールの貼付"
Module Controls_Add
    Friend SplitContainerB As SplitContainer
    Friend PictureBoxB As PictureBox
    Friend LabelB() As Label

    Friend SplitContainer1() As SplitContainer
    Friend MenuStrip1 As MenuStrip
    Friend Item1() As ToolStripMenuItem
    Friend PictureBox1() As PictureBox

    Friend LinkLabel1 As LinkLabel
    Friend Button1() As Button

    Friend Label1() As Label
    Friend LabelA As Label
    Friend LabelB1 As Label
    Friend LabelB2 As Label
    Friend LabelB3 As Label
    Friend LabelB4 As Label


#Region "Friend Sub Form1_Control_Add ⇒ 起動時のコントロールの貼付"
    Friend Sub Form1_Control_Add()
        Try
            SplitContainerB_Add()
            PictureBoxB_Add()
            Menu1_Add()

            LinkLabel1_Add()
            LabelB_Add()


        Catch ex As Exception
            MessageBox.Show("起動時のコントロールの貼付エラー :" & vbNewLine & vbNewLine & "   Err.Number = " & _
                            Err.Number & vbLf & "   Err.Description = " & Err.Description)
        End Try
    End Sub


#Region "Private Sub SplitContainerB_Add ⇒ 初期画面のスプリットコンテナーの貼付"
    Private Sub SplitContainerB_Add()
        SplitContainerB = New SplitContainer
        Form1.SuspendLayout()

        With SplitContainerB
            .Dock = DockStyle.Fill
            .BackColor = Color.SteelBlue '.Orange                                               '境界線の色(Orange)
            .Panel1.BackColor = SystemColors.Control
            .Panel2.BackColor = SystemColors.Control
            .IsSplitterFixed = True                                                 '一方のPanelの高さを固定する
            .FixedPanel = FixedPanel.Panel1                                         '固定するPanel
            .TabStop = False
            .Size = New Size(Form1.Width - 16, Form1.Height - 36)
            .Orientation = Orientation.Horizontal                           '横線
            .SplitterDistance = 25                                          'Panel1の高さ
            '.BackColor = Color.SteelBlue
            .SplitterWidth = 2                                              '境界線の幅
        End With
        Form1.Controls.Add(SplitContainerB)

        Form1.ResumeLayout(False)
    End Sub
#End Region

#Region "Private Sub Menu1_Add ⇒ 初期画面でメニューの貼付"
    Private Sub Menu1_Add()
        MenuStrip1 = New MenuStrip
        Item1 = New ToolStripMenuItem(10) {}
        Form1.SuspendLayout()
        Dim Item1Text() As String = New String(10) {"ゲーム(&G)", "サウンド(&S)", "カードの表示(&C)", "ヘルプ(&H)", "リトライ(&R)", "終　　了(&X)", "効 果 音(&E)", _
                                                    "Ｂ Ｇ Ｍ(&B)", "「ごんた」のカードを晒す(&G)", "「みねこ」のカードを晒す(&M)", "「さこん」のカードを晒す(&S)"}
        For i As Integer = 0 To Item1.Length - 1
            Item1(i) = New ToolStripMenuItem(Item1Text(i))
            Item1(i).ForeColor = Color.White '.Navy
            Item1(i).Tag = i

            Select Case i
                Case 0 To 3
                    MenuStrip1.Items.Add(Item1(i))

                Case 4 To 5
                    Item1(0).DropDownItems.Add(Item1(i))

                    CType(Item1(0).DropDown, ToolStripDropDownMenu).ShowImageMargin = False  'イメージ用の余白
                    CType(Item1(0).DropDown, ToolStripDropDownMenu).ShowCheckMargin = False  'チェック用の余白
                Case 6 To 7
                    Item1(1).DropDownItems.Add(Item1(i))

                    CType(Item1(1).DropDown, ToolStripDropDownMenu).ShowImageMargin = False  'イメージ用の余白
                    CType(Item1(1).DropDown, ToolStripDropDownMenu).ShowCheckMargin = True   'チェック用の余白
                Case 8 To 10
                    Item1(2).DropDownItems.Add(Item1(i))

                    CType(Item1(1).DropDown, ToolStripDropDownMenu).ShowImageMargin = False  'イメージ用の余白
                    CType(Item1(1).DropDown, ToolStripDropDownMenu).ShowCheckMargin = True   'チェック用の余白
            End Select

            AddHandler Item1(i).Click, AddressOf Form1.Item1_Click
            AddHandler Item1(i).DropDownOpening, AddressOf Form1.Item1_DropDownOpening       '子メニュが表示される直前に発生するイベント
            AddHandler Item1(i).DropDownClosed, AddressOf Form1.Item1_DropDownClosed         '子メニューが消された直後発生するイベント
        Next

        MenuStrip1.BackColor = Color.SteelBlue
        MenuStrip1.Dock = DockStyle.Top
        SplitContainerB.Panel1.Controls.Add(MenuStrip1)

        Item1(6).Checked = True
        Item1(7).Checked = False

        Form1.ResumeLayout(False)
    End Sub
#End Region


#End Region


#Region "Friend Sub PictureBoxB_Add ⇒ 初期画面のピクチャーボックスの貼付"
    Friend Sub PictureBoxB_Add()
        PictureBoxB = New PictureBox
        Form1.SuspendLayout()

        With PictureBoxB
            .SetBounds(0, 0, Form1.Width, Form1.Height)
            .BorderStyle = BorderStyle.None
            .SizeMode = PictureBoxSizeMode.Zoom
        End With
        SplitContainerB.Panel2.Controls.Add(PictureBoxB)
        AddHandler PictureBoxB.Paint, AddressOf PictureBoxB_Paint

        Form1.ResumeLayout(False)
    End Sub


#Region "Private Sub PictureBoxB_Paint"
    Private Sub PictureBoxB_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs)

        Dim TextureBrush1 = New TextureBrush(Image.FromFile(FPath1 & "背景.png"))
        e.Graphics.FillRectangle(TextureBrush1, 0, 0, sender.Width, sender.Height)
        TextureBrush1.Dispose()

        Dim Image0 As Image = Image.FromFile(FPath1 & "人物1.png")
        e.Graphics.DrawImage(Image0, 400, 250, 100, 100)
        Image0.Dispose()

        Dim Image1 As Image = Image.FromFile(FPath1 & "人物2.png")
        e.Graphics.DrawImage(Image1, 610, 250, 100, 100)
        Image0.Dispose()

        Dim Image2 As Image = Image.FromFile(FPath1 & "人物3.png")
        e.Graphics.DrawImage(Image2, 810, 250, 100, 100)
        Image0.Dispose()

    End Sub
#End Region

#End Region

#Region "Friend Sub LabelB_Add ⇒ 初期画面のラベルの貼付"
    Friend Sub LabelB_Add()
        LabelB = New Label(4) {}
        Dim LabelBText() As String = New String(4) {"「ババ抜き」ゲーム", "「ごんた」", "と 「みねこ」", "と 「さこん」", "との　対戦です。"}

        For i As Integer = 0 To LabelB.Length - 1
            LabelB(i) = New Label

            With LabelB(i)
                .TabStop = False
                .FlatStyle = FlatStyle.Standard
                .BackColor = Color.Transparent
                .TextAlign = ContentAlignment.MiddleLeft
                .Text = LabelBText(i)
                .ForeColor = Color.MidnightBlue '.Red

                Select Case i
                    Case 0
                        .SetBounds(430, 150, 650, 45)
                        .Font = New Font("ＭＳ ゴシック", 35, FontStyle.Bold)
                        PictureBoxB.Controls.Add(LabelB(i))
                        .Font.Dispose()
                    Case 1
                        .SetBounds(300, 285, 135, 30) '(320, 285, 85, 30)
                        .Font = New Font("ＭＳ ゴシック", 18, FontStyle.Bold)
                        PictureBoxB.Controls.Add(LabelB(i))
                        .Font.Dispose()
                    Case 2
                        .SetBounds(480, 285, 185, 30)
                        .Font = New Font("ＭＳ ゴシック", 18, FontStyle.Bold)
                        PictureBoxB.Controls.Add(LabelB(i))
                        .Font.Dispose()
                    Case 3
                        .SetBounds(680, 285, 185, 30)
                        .Font = New Font("ＭＳ ゴシック", 18, FontStyle.Bold)
                        PictureBoxB.Controls.Add(LabelB(i))
                        .Font.Dispose()
                    Case 4
                        .SetBounds(885, 285, 210, 30)
                        .Font = New Font("ＭＳ ゴシック", 18, FontStyle.Bold)
                        PictureBoxB.Controls.Add(LabelB(i))
                        .Font.Dispose()
                End Select
            End With
        Next
    End Sub
#End Region

#Region "Friend Sub LinkLabel1_Add ⇒ 初期画面のリンクラベルの貼付"
    Friend Sub LinkLabel1_Add()
        LinkLabel1 = New LinkLabel
        Form1.ResumeLayout()

        With LinkLabel1
            .TabStop = False
            .SetBounds(580, 450, 230, 200)
            .BorderStyle = BorderStyle.None                  'ボーダースタイル
            .BackColor = Color.Transparent
            .LinkBehavior = LinkBehavior.HoverUnderline      'マウスポインタを合わせた場合のみ下線あり
            .LinkColor = Color.Green                         '通常時のリンク色を青にする

            .Image = Image.FromFile(FPath1 & "スタート.png")
            .ImageAlign = ContentAlignment.MiddleLeft

            .TextAlign = ContentAlignment.MiddleCenter        'テキストの位置
            .Font = New Font("Arial", 30, FontStyle.Bold)    'フォントの変更
            .Text = "　　　　"
        End With
        PictureBoxB.Controls.Add(LinkLabel1)

        AddHandler LinkLabel1.LinkClicked, AddressOf Form1.LinkLabel1_LinkClicked
        AddHandler LinkLabel1.MouseEnter, AddressOf Form1.LinkLabel1_MouseEnter
        AddHandler LinkLabel1.MouseLeave, AddressOf Form1.LinkLabel1_MouseLeave

        LinkLabel1.Font.Dispose()
        Form1.ResumeLayout(False)
    End Sub
#End Region


#Region "Friend Sub SplitContainer1_Add() ⇒ スプリットコンテナーの貼付"
    Friend Sub SplitContainer1_Add()
        SplitContainer1 = New SplitContainer(3) {}
        Form1.SuspendLayout()

        For i As Integer = 0 To SplitContainer1.Length - 1
            SplitContainer1(i) = New SplitContainer

            With SplitContainer1(i)
                .Dock = DockStyle.Fill
                .BackColor = Color.Orange                                               '境界線の色(Orange)
                .Panel1.BackColor = Color.Green
                .Panel2.BackColor = Color.Green
                .IsSplitterFixed = True                                                 '一方のPanelの高さを固定する
                .FixedPanel = FixedPanel.Panel1                                         '固定するPanel
                .TabStop = False

                Select Case i
                    Case 0
                        .Size = New Size(SplitContainerB.Panel2.Width, SplitContainerB.Panel2.Height)
                        .Orientation = Orientation.Horizontal                           '横線
                        .SplitterDistance = 120                                         'Panel1の高さ
                        .SplitterWidth = 3                                              '境界線の幅
                        SplitContainerB.Panel2.Controls.Add(SplitContainer1(i))
                    Case 1
                        .Size = New Size(SplitContainer1(0).Panel2.Width, SplitContainer1(0).Panel2.Height)
                        .Orientation = Orientation.Horizontal                           '横線
                        .SplitterDistance = SplitContainer1(0).Panel2.Height - 125      'Panel1の高さ
                        .SplitterWidth = 3                                              '境界線の幅
                        SplitContainer1(0).Panel2.Controls.Add(SplitContainer1(i))
                    Case 2
                        .Size = New Size(SplitContainer1(0).Panel1.Width, SplitContainer1(0).Panel1.Height)
                        .Orientation = Orientation.Vertical                             '横線
                        .SplitterDistance = CInt(SplitContainer1(0).Panel1.Width / 3)   'Panel1の幅
                        .SplitterWidth = 3                                              '境界線の幅
                        SplitContainer1(0).Panel1.Controls.Add(SplitContainer1(i))
                    Case 3
                        .Size = New Size(SplitContainer1(2).Panel2.Width, SplitContainer1(2).Panel2.Height)
                        .Orientation = Orientation.Vertical                             '横線
                        .SplitterDistance = CInt(SplitContainer1(2).Panel2.Width / 2)   'Panel1の幅
                        .SplitterWidth = 3                                              '境界線の幅
                        SplitContainer1(2).Panel2.Controls.Add(SplitContainer1(i))
                End Select
            End With
        Next

        Form1.ResumeLayout(False)
    End Sub
#End Region

#Region "Friend Sub PictureBox1_Add() ⇒ ピクチャボックスの貼付"
    Friend Sub PictureBox1_Add()
        PictureBox1 = New PictureBox(4) {}
        Form1.SuspendLayout()

        For i As Integer = 0 To PictureBox1.Length - 1
            PictureBox1(i) = New PictureBox

            With PictureBox1(i)
                .BorderStyle = BorderStyle.None
                .BackColor = Color.Green
                .SizeMode = PictureBoxSizeMode.StretchImage

                Select Case i
                    Case 0
                        .SetBounds(0, 0, SplitContainer1(2).Panel1.Width, SplitContainer1(2).Panel1.Height)
                        SplitContainer1(2).Panel1.Controls.Add(PictureBox1(i))
                        AddHandler PictureBox1(i).Paint, AddressOf PictureBox1_ManPaint0
                    Case 1
                        .SetBounds(0, 0, SplitContainer1(3).Panel1.Width, SplitContainer1(3).Panel1.Height)
                        SplitContainer1(3).Panel1.Controls.Add(PictureBox1(i))
                        AddHandler PictureBox1(i).Paint, AddressOf PictureBox1_ManPaint1
                    Case 2
                        .SetBounds(0, 0, SplitContainer1(3).Panel2.Width, SplitContainer1(3).Panel2.Height)
                        SplitContainer1(3).Panel2.Controls.Add(PictureBox1(i))
                        AddHandler PictureBox1(i).Paint, AddressOf PictureBox1_ManPaint2
                    Case 3
                        .SetBounds(0, 0, SplitContainer1(1).Panel1.Width, SplitContainer1(1).Panel1.Height)
                        SplitContainer1(1).Panel1.Controls.Add(PictureBox1(i))
                    Case 4
                        .SetBounds(0, 0, SplitContainer1(1).Panel2.Width, SplitContainer1(1).Panel2.Height)
                        SplitContainer1(1).Panel2.Controls.Add(PictureBox1(i))
                        AddHandler PictureBox1(i).Paint, AddressOf PictureBox1_ManPaint4

                        AddHandler PictureBox1(i).MouseClick, AddressOf Form1.PictureBox1_MouseClick4
                        AddHandler PictureBox1(i).MouseMove, AddressOf Form1.PictureBox1_MouseMove4
                        'AddHandler PictureBox1(i).MouseEnter, AddressOf Form1.PictureBox1_MouseEnter4
                        AddHandler PictureBox1(i).MouseLeave, AddressOf Form1.PictureBox1_MouseLeave4
                End Select
            End With
        Next

        Form1.ResumeLayout(False)
    End Sub


#Region "PictureBox1_ManPaint0"
    Friend Sub PictureBox1_ManPaint0(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs)
        Dim Image0 As Image = Image.FromFile(FPath1 & "人物1.png")
        e.Graphics.DrawImage(Image0, 10, 25, 80, 80)
        Image0.Dispose()
    End Sub
#End Region

#Region "PictureBox1_ManPaint1"
    Friend Sub PictureBox1_ManPaint1(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs)
        Dim Image0 As Image = Image.FromFile(FPath1 & "人物2.png")
        e.Graphics.DrawImage(Image0, 10, 25, 80, 80)
        Image0.Dispose()
    End Sub
#End Region

#Region "PictureBox1_ManPaint2"
    Friend Sub PictureBox1_ManPaint2(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs)
        Dim Image0 As Image = Image.FromFile(FPath1 & "人物3.png")
        e.Graphics.DrawImage(Image0, 10, 25, 80, 80)
        Image0.Dispose()
    End Sub
#End Region

#Region "PictureBox1_ManPaint4"
    Friend Sub PictureBox1_ManPaint4(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs)
        Dim Image0 As Image = Image.FromFile(FPath1 & "人物4.png")
        e.Graphics.DrawImage(Image0, 40, 30, 80, 80)
        Image0.Dispose()
    End Sub
#End Region


#End Region

#Region "Friend Sub Label1_Add ⇒ ラベルの貼付"
    Friend Sub Label1_Add()
        Label1 = New Label(3) {}
        Dim Label1Text() As String = New String(3) {"ごんた", "みねこ", "さこん", "ぼく・わたし"}

        For i As Integer = 0 To Label1.Length - 1
            Label1(i) = New Label

            With Label1(i)
                .TabStop = False
                .FlatStyle = FlatStyle.Standard
                .BackColor = Color.Transparent
                .TextAlign = ContentAlignment.MiddleCenter
                .Text = Label1Text(i)
                .ForeColor = Color.White
                .Font = New Font("ＭＳ ゴシック", 10, FontStyle.Bold)

                Select Case i
                    Case 0
                        .SetBounds(20, 10, 60, 14)
                        PictureBox1(0).Controls.Add(Label1(i))
                    Case 1
                        .SetBounds(20, 10, 60, 14)
                        PictureBox1(1).Controls.Add(Label1(i))
                    Case 2
                        .SetBounds(20, 10, 60, 14)
                        PictureBox1(2).Controls.Add(Label1(i))
                    Case 3
                        .SetBounds(35, 15, 100, 14)
                        PictureBox1(4).Controls.Add(Label1(i))
                End Select

                .Font.Dispose()
            End With
        Next

    End Sub
#End Region

#Region "Friend Sub Button1_Add ⇒ ボタンの貼付"
    Friend Sub Button1_Add()
        Button1 = New Button(1) {}
        Dim Button1Text() As String = New String(1) {"", "キャンセル"}

        For i As Integer = 0 To Button1.Length - 1
            Button1(i) = New Button
            Form1.SuspendLayout()

            With Button1(i)
                .Tag = i
                .Text = Button1Text(i)
                .TabStop = False
                .TextAlign = ContentAlignment.MiddleCenter
                .ForeColor = Color.White

                Select Case i
                    Case 0
                        .SetBounds(670, 230, 120, 35)
                        .Font = New Font("ＭＳ　ゴシック", 10, FontStyle.Bold)

                        .FlatStyle = FlatStyle.Flat
                        .Image = Image.FromFile(FPath1 & "スタート2.png")
                        .AutoSizeMode = AutoSizeMode.GrowAndShrink

                        AddHandler Button1(i).Click, AddressOf Form1.Button10_Click
                        AddHandler Button1(i).MouseEnter, AddressOf Form1.Button1_MouseEnter
                        AddHandler Button1(i).MouseLeave, AddressOf Form1.Button1_MouseLeave
                    Case 1
                        .SetBounds(1260, 445, 1, 1)
                        .Font = New Font("ＭＳ　ゴシック", 9)
                        .FlatStyle = FlatStyle.Flat
                        AddHandler Button1(i).Click, AddressOf Form1.Button11_Click
                End Select
            End With
            PictureBox1(3).Controls.Add(Button1(i))

            Form1.ResumeLayout(False)
        Next
    End Sub
#End Region

#Region "Friend Sub LabelA_Add ⇒ ラベルAの貼付"
    Friend Sub LabelA_Add()
        LabelA = New Label
        Form1.ResumeLayout()

        With LabelA
            .SetBounds(380, 320, 670, 40)
            .FlatStyle = FlatStyle.Flat
            .BackColor = Color.Green
            .ForeColor = Color.White
            .Font = New Font("", 24, FontStyle.Bold)
            .TextAlign = ContentAlignment.MiddleCenter
            .Text = ""

            .Font.Dispose()
        End With
        PictureBox1(3).Controls.Add(LabelA)

        Form1.ResumeLayout(False)
    End Sub
#End Region

#Region "Friend Sub LabelB1_Add ⇒ ラベルB1の貼付"
    Friend Sub LabelB1_Add()
        LabelB1 = New Label
        Form1.ResumeLayout()

        With LabelB1
            .SetBounds(150, 50, 200, 30)
            .BackColor = Color.Transparent
            .ForeColor = Color.White
            '.ForeColor = Color.Red
            .Font = New Font("", 14, FontStyle.Bold)
            .TextAlign = ContentAlignment.MiddleCenter
            .Text = ""

            .Font.Dispose()
        End With
        PictureBox1(0).Controls.Add(LabelB1)

        Form1.ResumeLayout(False)
    End Sub
#End Region

#Region "Friend Sub LabelB2_Add ⇒ ラベルB2の貼付"
    Friend Sub LabelB2_Add()
        LabelB2 = New Label
        Form1.ResumeLayout()

        With LabelB2
            .SetBounds(150, 50, 200, 30)
            .FlatStyle = FlatStyle.Flat
            .BackColor = Color.Transparent
            .ForeColor = Color.White
            .Font = New Font("", 14, FontStyle.Bold)
            .TextAlign = ContentAlignment.MiddleCenter
            .Text = ""

            .Font.Dispose()
        End With
        PictureBox1(1).Controls.Add(LabelB2)

        Form1.ResumeLayout(False)
    End Sub
#End Region

#Region "Friend Sub LabelB3_Add ⇒ ラベルB3の貼付"
    Friend Sub LabelB3_Add()
        LabelB3 = New Label
        Form1.ResumeLayout()

        With LabelB3
            .SetBounds(150, 50, 200, 30)
            .FlatStyle = FlatStyle.Flat
            .BackColor = Color.Transparent
            .ForeColor = Color.White
            .Font = New Font("", 14, FontStyle.Bold)
            .TextAlign = ContentAlignment.MiddleCenter
            .Text = ""

            .Font.Dispose()
        End With
        PictureBox1(2).Controls.Add(LabelB3)

        Form1.ResumeLayout(False)
    End Sub
#End Region

#Region "Friend Sub LabelB4_Add ⇒ ラベルB4の貼付"
    Friend Sub LabelB4_Add()
        LabelB4 = New Label
        Form1.ResumeLayout()

        With LabelB4
            .SetBounds(600, 50, 200, 30)
            .FlatStyle = FlatStyle.Flat
            .BackColor = Color.Transparent
            .ForeColor = Color.White
            .Font = New Font("", 14, FontStyle.Bold)
            .TextAlign = ContentAlignment.MiddleCenter
            .Text = ""

            .Font.Dispose()
        End With
        PictureBox1(4).Controls.Add(LabelB4)

        Form1.ResumeLayout(False)
    End Sub
#End Region


End Module
#End Region

